/*
 * Project Name:
     Rthernet_Test

 *
 * description  :
 *
 *
 *
 *
 *
 * Test configuration:
     MCU:             P32MX795F512L
                      http://ww1.microchip.com/downloads/en/DeviceDoc/61156G.pdf
     Dev.Board:       MMB PIC32MX7
                      http://www.mikroe.com/eng/products/view/573/multimedia-board-for-pic32mx7/
     Oscillator:      XT-PLL, 80.000MHz

     SW:              mikroC PRO for PIC32
                      http://www.mikroe.com/eng/products/view/623/mikroc-pro-for-pic32/
 * NOTES:

 */

#include "__NetEthInternal.h"
#include "UART1.h"
#include "Buffers.h"
#include "CoreTimer.h"
#include "Ethernet.h"
#include "timers.h"


extern char Got_dhcp;


/*************************************************************************************************/
void main() {
     AD1PCFG |= 0xFFFF;

     //LATD9_bit = 0;             // LED2 (red) on
     LATD9_bit = 1;             // LED2 (red) off
     TRISD9_bit = 0;            // PD9 is output

     LATD2_bit = 0;             // LCD_BLED off
     TRISD2_bit = 0;            // PD2 is output

     InitCoreTimer();           // Initialize core timer
     init_timerpool();          // Initialize timer pool
     InitUART1();               // Initialize UART

     EnableInterrupts();        // Start core timer first
     
     UART1_PutQueue("Started Ethernet Test\r\n");  // Opening message

     // Must be last to initialize due to blocking
     InitEthernet();            // Initialize Ethernet
     InitTCP_Client();          // Initialize the TCP client


     
     while (1) {
          DoEthernet();         // Process Ethernet packets
          if ((Got_dhcp) && Net_Ethernet_Intern_doDHCPLeaseTime())  // Set Use_dhcp = TRUE in Ethernet.c
               Net_Ethernet_Intern_renewDHCP(5); // It's time to renew the IP address lease, with 5 secs for a reply
          
          TimerCheck();         // Check timer 1-second tick
          UART1_CheckQueue();   // Check serial outgoing messages
          UART1_Rx();           // Check serial incoming messages
          DoTCP_Client();       // Check TCP client application
     }
}