_UART1_Interrupt:
;UART1.c,41 :: 		void UART1_Interrupt() iv IVT_UART_1 ilevel 7 ics ICS_AUTO {
RDPGPR	SP, SP
ADDIU	SP, SP, -16
SW	R30, 12(SP)
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
;UART1.c,45 :: 		if (URXDA_bit){
_LX	, 4
EXT	R2, R2, BitPos(URXDA_bit+0), 1
BNE	R2, R0, L__UART1_Interrupt56
NOP	
J	L_UART1_Interrupt0
NOP	
L__UART1_Interrupt56:
;UART1.c,46 :: 		R_data = U1RXREG;              // Fetch a byte from receive register
; R_data start address is: 16 (R4)
LW	R4, Offset(U1RXREG+0)(GP)
;UART1.c,48 :: 		RxQ.RxQueue[RxQ.RxIn++] = R_data;      // Put it into the recirculating buffer
LH	R3, Offset(_RxQ+0)(GP)
LUI	R2, #hi_addr(_RxQ+4)
ORI	R2, R2, #lo_addr(_RxQ+4)
ADDU	R2, R2, R3
SB	R4, 0(R2)
; R_data end address is: 16 (R4)
LH	R2, Offset(_RxQ+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_RxQ+0)(GP)
;UART1.c,49 :: 		if (RxQ.RxIn > (rxqsize-1))    // Adjust pointer if necessary
SEH	R2, R2
SLTI	R2, R2, 64
BEQ	R2, R0, L__UART1_Interrupt57
NOP	
J	L_UART1_Interrupt1
NOP	
L__UART1_Interrupt57:
;UART1.c,50 :: 		RxQ.RxIn = 0;
SH	R0, Offset(_RxQ+0)(GP)
L_UART1_Interrupt1:
;UART1.c,51 :: 		U1RXIF_bit = 0;                // Clear the receive interrupt flag
LUI	R2, BitMask(U1RXIF_bit+0)
ORI	R2, R2, BitMask(U1RXIF_bit+0)
_SX	8, Offset(U1RXIF_bit+4), 4
;UART1.c,53 :: 		}else{
J	L_UART1_Interrupt2
NOP	
L_UART1_Interrupt0:
;UART1.c,54 :: 		T_data = XmtBuf[XmtBufPtr++];  // Get a byte from the transmit buffer
LBU	R3, Offset(_XmtBufPtr+0)(GP)
LW	R2, Offset(_XmtBuf+0)(GP)
ADDU	R2, R2, R3
LBU	R3, 0(R2)
; T_data start address is: 16 (R4)
ANDI	R4, R3, 255
LBU	R2, Offset(_XmtBufPtr+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_XmtBufPtr+0)(GP)
;UART1.c,55 :: 		if (T_data == NUL){            // If it is the end of message marker
ANDI	R2, R3, 255
BEQ	R2, R0, L__UART1_Interrupt58
NOP	
J	L_UART1_Interrupt3
NOP	
L__UART1_Interrupt58:
; T_data end address is: 16 (R4)
;UART1.c,56 :: 		U1TXIE_bit = 0;             // Disable transmitter interrupts
LUI	R2, BitMask(U1TXIE_bit+0)
ORI	R2, R2, BitMask(U1TXIE_bit+0)
_SX	8, Offset(U1TXIE_bit+4), 4
;UART1.c,57 :: 		}else{
J	L_UART1_Interrupt4
NOP	
L_UART1_Interrupt3:
;UART1.c,58 :: 		U1TXREG = T_data;           // Transfer data byte to transmit register
; T_data start address is: 16 (R4)
ANDI	R2, R4, 255
; T_data end address is: 16 (R4)
SW	R2, Offset(U1TXREG+0)(GP)
;UART1.c,59 :: 		U1TXIF_bit = 0;             // Clear transmit interrupt flag
LUI	R2, BitMask(U1TXIF_bit+0)
ORI	R2, R2, BitMask(U1TXIF_bit+0)
_SX	8, Offset(U1TXIF_bit+4), 4
;UART1.c,60 :: 		}
L_UART1_Interrupt4:
;UART1.c,61 :: 		}
L_UART1_Interrupt2:
;UART1.c,62 :: 		}
L_end_UART1_Interrupt:
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
LW	R30, 12(SP)
ADDIU	SP, SP, 16
WRPGPR	SP, SP
ERET	
; end of _UART1_Interrupt
_UART1_SetBaud:
;UART1.c,66 :: 		void UART1_SetBaud(void){
;UART1.c,68 :: 		U1BRG = 520;
ORI	R2, R0, 520
SW	R2, Offset(U1BRG+0)(GP)
;UART1.c,69 :: 		}
L_end_UART1_SetBaud:
JR	RA
NOP	
; end of _UART1_SetBaud
_UART1_StartRx:
;UART1.c,73 :: 		void UART1_StartRx(void){
;UART1.c,74 :: 		ON__U1MODE_bit = 1; // Enable UART1 circuit
LUI	R2, BitMask(ON__U1MODE_bit+0)
ORI	R2, R2, BitMask(ON__U1MODE_bit+0)
_SX	8, Offset(ON__U1MODE_bit+8), 4
;UART1.c,75 :: 		URXEN_bit = 1;      // Enable receiver
LUI	R2, BitMask(URXEN_bit+0)
ORI	R2, R2, BitMask(URXEN_bit+0)
_SX	8, Offset(URXEN_bit+8), 4
;UART1.c,77 :: 		U1IP0_bit = 0;      // Set UART1 priority
LUI	R2, BitMask(U1IP0_bit+0)
ORI	R2, R2, BitMask(U1IP0_bit+0)
_SX	8, Offset(U1IP0_bit+4), 4
;UART1.c,78 :: 		U1IP1_bit = 1;
LUI	R2, BitMask(U1IP1_bit+0)
ORI	R2, R2, BitMask(U1IP1_bit+0)
_SX	8, Offset(U1IP1_bit+8), 4
;UART1.c,79 :: 		U1IP2_bit = 1;
LUI	R2, BitMask(U1IP2_bit+0)
ORI	R2, R2, BitMask(U1IP2_bit+0)
_SX	8, Offset(U1IP2_bit+8), 4
;UART1.c,80 :: 		U1IS1_bit = 1;      // Set UART1 sub-priority
LUI	R2, BitMask(U1IS1_bit+0)
ORI	R2, R2, BitMask(U1IS1_bit+0)
_SX	8, Offset(U1IS1_bit+8), 4
;UART1.c,81 :: 		U1IS0_bit = 1;
LUI	R2, BitMask(U1IS0_bit+0)
ORI	R2, R2, BitMask(U1IS0_bit+0)
_SX	8, Offset(U1IS0_bit+8), 4
;UART1.c,83 :: 		URXISEL0_bit = 0;   // Interrupt when buffer is not empty
LUI	R2, BitMask(URXISEL0_bit+0)
ORI	R2, R2, BitMask(URXISEL0_bit+0)
_SX	8, Offset(URXISEL0_bit+4), 4
;UART1.c,84 :: 		URXISEL1_bit = 0;
LUI	R2, BitMask(URXISEL1_bit+0)
ORI	R2, R2, BitMask(URXISEL1_bit+0)
_SX	8, Offset(URXISEL1_bit+4), 4
;UART1.c,86 :: 		U1RXIF_bit = 0;     // Clear the receive interrupt flag
LUI	R2, BitMask(U1RXIF_bit+0)
ORI	R2, R2, BitMask(U1RXIF_bit+0)
_SX	8, Offset(U1RXIF_bit+4), 4
;UART1.c,87 :: 		U1RXIE_bit = 1;     // Enable receiver interrupts
LUI	R2, BitMask(U1RXIE_bit+0)
ORI	R2, R2, BitMask(U1RXIE_bit+0)
_SX	8, Offset(U1RXIE_bit+8), 4
;UART1.c,88 :: 		}
L_end_UART1_StartRx:
JR	RA
NOP	
; end of _UART1_StartRx
_UART1_StartTx:
;UART1.c,92 :: 		void UART1_StartTx(void){
;UART1.c,93 :: 		UTXEN_bit = 1;      // Enable transmitter
LUI	R2, BitMask(UTXEN_bit+0)
ORI	R2, R2, BitMask(UTXEN_bit+0)
_SX	8, Offset(UTXEN_bit+8), 4
;UART1.c,95 :: 		UTXISEL0_bit = 0;   // Interrupt when transmit buffer is empty
LUI	R2, BitMask(UTXISEL0_bit+0)
ORI	R2, R2, BitMask(UTXISEL0_bit+0)
_SX	8, Offset(UTXISEL0_bit+4), 4
;UART1.c,96 :: 		UTXISEL1_bit = 1;
LUI	R2, BitMask(UTXISEL1_bit+0)
ORI	R2, R2, BitMask(UTXISEL1_bit+0)
_SX	8, Offset(UTXISEL1_bit+8), 4
;UART1.c,98 :: 		U1TXIF_bit = 0;     // Clear transmit interrupt flag
LUI	R2, BitMask(U1TXIF_bit+0)
ORI	R2, R2, BitMask(U1TXIF_bit+0)
_SX	8, Offset(U1TXIF_bit+4), 4
;UART1.c,99 :: 		U1TXIE_bit = 1;     // Enable transmitter interrupts
LUI	R2, BitMask(U1TXIE_bit+0)
ORI	R2, R2, BitMask(U1TXIE_bit+0)
_SX	8, Offset(U1TXIE_bit+8), 4
;UART1.c,100 :: 		}
L_end_UART1_StartTx:
JR	RA
NOP	
; end of _UART1_StartTx
_InitUART1:
;UART1.c,109 :: 		void InitUART1(void){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;UART1.c,110 :: 		UART1_SetBaud();
JAL	_UART1_SetBaud+0
NOP	
;UART1.c,111 :: 		UART1_RxQueueInit();
JAL	_UART1_RxQueueInit+0
NOP	
;UART1.c,112 :: 		UART1_TxQueueInit();
JAL	_UART1_TxQueueInit+0
NOP	
;UART1.c,113 :: 		UART1_StartRx();
JAL	_UART1_StartRx+0
NOP	
;UART1.c,114 :: 		}
L_end_InitUART1:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _InitUART1
_UART1_TxQueueInit:
;UART1.c,118 :: 		void UART1_TxQueueInit(void){
;UART1.c,119 :: 		TxQ.TxIn = 0;
SH	R0, Offset(_TxQ+0)(GP)
;UART1.c,120 :: 		TxQ.TxOut = 0;
SH	R0, Offset(_TxQ+2)(GP)
;UART1.c,121 :: 		XmtBufPtr = 0;
SB	R0, Offset(_XmtBufPtr+0)(GP)
;UART1.c,122 :: 		}
L_end_UART1_TxQueueInit:
JR	RA
NOP	
; end of _UART1_TxQueueInit
_UART1_RxQueueInit:
;UART1.c,126 :: 		void UART1_RxQueueInit(void){
;UART1.c,127 :: 		RxQ.RxIn = 0;
SH	R0, Offset(_RxQ+0)(GP)
;UART1.c,128 :: 		RxQ.RxOut = 0;
SH	R0, Offset(_RxQ+2)(GP)
;UART1.c,129 :: 		RcvBufPtr = 0;
SB	R0, Offset(_RcvBufPtr+0)(GP)
;UART1.c,130 :: 		}
L_end_UART1_RxQueueInit:
JR	RA
NOP	
; end of _UART1_RxQueueInit
_UART1_SendMsg:
;UART1.c,134 :: 		void UART1_SendMsg(char *s){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;UART1.c,135 :: 		XmtBuf = s;           // Pointer to the message for the UART1 interrupt handler
SW	R25, Offset(_XmtBuf+0)(GP)
;UART1.c,136 :: 		XmtBufPtr = 0;        // Set character counter to start of text message
SB	R0, Offset(_XmtBufPtr+0)(GP)
;UART1.c,137 :: 		UART1_StartTx();      // Turn on UART1 transmitter
JAL	_UART1_StartTx+0
NOP	
;UART1.c,138 :: 		}
L_end_UART1_SendMsg:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _UART1_SendMsg
_UART1_CheckQueue:
;UART1.c,145 :: 		void UART1_CheckQueue(void){
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;UART1.c,148 :: 		if ((!U1TXIE_bit)&&(TRMT_bit)){
SW	R25, 4(SP)
_LX	, 4
EXT	R2, R2, BitPos(U1TXIE_bit+0), 1
BEQ	R2, R0, L__UART1_CheckQueue67
NOP	
J	L__UART1_CheckQueue53
NOP	
L__UART1_CheckQueue67:
_LX	, 4
EXT	R2, R2, BitPos(TRMT_bit+0), 1
BNE	R2, R0, L__UART1_CheckQueue69
NOP	
J	L__UART1_CheckQueue52
NOP	
L__UART1_CheckQueue69:
L__UART1_CheckQueue51:
;UART1.c,150 :: 		if (TxQ.TxIn != TxQ.TxOut){      // If pointers are not the same
LH	R3, Offset(_TxQ+2)(GP)
LH	R2, Offset(_TxQ+0)(GP)
BNE	R2, R3, L__UART1_CheckQueue71
NOP	
J	L_UART1_CheckQueue8
NOP	
L__UART1_CheckQueue71:
;UART1.c,151 :: 		UART1_SendMsg(TxQ.TxQueue[TxQ.TxOut++]);  // Hand off the message pointer and increment counter
LH	R2, Offset(_TxQ+2)(GP)
SLL	R3, R2, 2
LUI	R2, #hi_addr(_TxQ+4)
ORI	R2, R2, #lo_addr(_TxQ+4)
ADDU	R2, R2, R3
LW	R25, 0(R2)
JAL	_UART1_SendMsg+0
NOP	
LH	R2, Offset(_TxQ+2)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_TxQ+2)(GP)
;UART1.c,152 :: 		if (TxQ.TxOut > (txqsize-1))  // Check for wrap
SEH	R2, R2
SLTI	R2, R2, 32
BEQ	R2, R0, L__UART1_CheckQueue72
NOP	
J	L_UART1_CheckQueue9
NOP	
L__UART1_CheckQueue72:
;UART1.c,153 :: 		TxQ.TxOut = 0;
SH	R0, Offset(_TxQ+2)(GP)
L_UART1_CheckQueue9:
;UART1.c,154 :: 		}
L_UART1_CheckQueue8:
;UART1.c,148 :: 		if ((!U1TXIE_bit)&&(TRMT_bit)){
L__UART1_CheckQueue53:
L__UART1_CheckQueue52:
;UART1.c,156 :: 		}
L_end_UART1_CheckQueue:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _UART1_CheckQueue
_UART1_PutQueue:
;UART1.c,161 :: 		void UART1_PutQueue(char *msg){
;UART1.c,162 :: 		TxQ.TxQueue[TxQ.TxIn++] = msg;      // Enter the message pointer into the queue
LH	R2, Offset(_TxQ+0)(GP)
SLL	R3, R2, 2
LUI	R2, #hi_addr(_TxQ+4)
ORI	R2, R2, #lo_addr(_TxQ+4)
ADDU	R2, R2, R3
SW	R25, 0(R2)
LH	R2, Offset(_TxQ+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_TxQ+0)(GP)
;UART1.c,163 :: 		if (TxQ.TxIn > (txqsize-1))         // Check for wrap
SEH	R2, R2
SLTI	R2, R2, 32
BEQ	R2, R0, L__UART1_PutQueue74
NOP	
J	L_UART1_PutQueue10
NOP	
L__UART1_PutQueue74:
;UART1.c,164 :: 		TxQ.TxIn = 0;
SH	R0, Offset(_TxQ+0)(GP)
L_UART1_PutQueue10:
;UART1.c,165 :: 		}
L_end_UART1_PutQueue:
JR	RA
NOP	
; end of _UART1_PutQueue
_UART1_GetChar:
;UART1.c,171 :: 		char UART1_GetChar(char *rxbyte){
;UART1.c,172 :: 		if (RxQ.RxIn != RxQ.RxOut){             // If pointers are not the same
LH	R3, Offset(_RxQ+2)(GP)
LH	R2, Offset(_RxQ+0)(GP)
BNE	R2, R3, L__UART1_GetChar77
NOP	
J	L_UART1_GetChar11
NOP	
L__UART1_GetChar77:
;UART1.c,173 :: 		*rxbyte = RxQ.RxQueue[RxQ.RxOut++];  // Fetch a character from the recirculating buffer
LH	R3, Offset(_RxQ+2)(GP)
LUI	R2, #hi_addr(_RxQ+4)
ORI	R2, R2, #lo_addr(_RxQ+4)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
SB	R2, 0(R25)
LH	R2, Offset(_RxQ+2)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_RxQ+2)(GP)
;UART1.c,174 :: 		if (RxQ.RxOut > (rxqsize-1))         // Check for wrap
SEH	R2, R2
SLTI	R2, R2, 64
BEQ	R2, R0, L__UART1_GetChar78
NOP	
J	L_UART1_GetChar12
NOP	
L__UART1_GetChar78:
;UART1.c,175 :: 		RxQ.RxOut = 0;
SH	R0, Offset(_RxQ+2)(GP)
L_UART1_GetChar12:
;UART1.c,176 :: 		return 1;
ORI	R2, R0, 1
J	L_end_UART1_GetChar
NOP	
;UART1.c,177 :: 		}else{
L_UART1_GetChar11:
;UART1.c,178 :: 		return 0;
MOVZ	R2, R0, R0
;UART1.c,180 :: 		}
L_end_UART1_GetChar:
JR	RA
NOP	
; end of _UART1_GetChar
_UART1_Rx:
;UART1.c,184 :: 		void UART1_Rx(void){
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;UART1.c,185 :: 		UART1_RxFuncPtr();        // Use the function pointer to go to a state
LW	R30, Offset(_UART1_RxFuncPtr+0)(GP)
JALR	RA, R30
NOP	
;UART1.c,186 :: 		}
L_end_UART1_Rx:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _UART1_Rx
_UART1_Rx1:
;UART1.c,191 :: 		void UART1_Rx1(void){
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;UART1.c,194 :: 		if (UART1_GetChar(&rxchar)){
SW	R25, 4(SP)
ADDIU	R2, SP, 8
MOVZ	R25, R2, R0
JAL	_UART1_GetChar+0
NOP	
BNE	R2, R0, L__UART1_Rx182
NOP	
J	L_UART1_Rx114
NOP	
L__UART1_Rx182:
;UART1.c,195 :: 		switch (rxchar){
J	L_UART1_Rx115
NOP	
;UART1.c,196 :: 		case NUL:     // Discard NUL character
L_UART1_Rx117:
;UART1.c,197 :: 		break;
J	L_UART1_Rx116
NOP	
;UART1.c,199 :: 		case '\r':    // Discard return character
L_UART1_Rx118:
;UART1.c,200 :: 		break;
J	L_UART1_Rx116
NOP	
;UART1.c,202 :: 		case '\n':    // New line character
L_UART1_Rx119:
;UART1.c,203 :: 		RcvBuf[RcvBufPtr++] = rxchar;     // Put received character into buffer
LBU	R3, Offset(_RcvBufPtr+0)(GP)
LUI	R2, #hi_addr(_RcvBuf+0)
ORI	R2, R2, #lo_addr(_RcvBuf+0)
ADDU	R3, R2, R3
LBU	R2, 8(SP)
SB	R2, 0(R3)
LBU	R2, Offset(_RcvBufPtr+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_RcvBufPtr+0)(GP)
;UART1.c,204 :: 		RcvBuf[RcvBufPtr] = 0;            // End marker
ANDI	R3, R2, 255
LUI	R2, #hi_addr(_RcvBuf+0)
ORI	R2, R2, #lo_addr(_RcvBuf+0)
ADDU	R2, R2, R3
SB	R0, 0(R2)
;UART1.c,205 :: 		RcvBufPtr = 0;                    // Point to start of buffer
SB	R0, Offset(_RcvBufPtr+0)(GP)
;UART1.c,206 :: 		UART1_RxFuncPtr = UART1_Rx2;      // Go to state 2
LUI	R2, #hi_addr(_UART1_Rx2+0)
ORI	R2, R2, #lo_addr(_UART1_Rx2+0)
SW	R2, Offset(_UART1_RxFuncPtr+0)(GP)
;UART1.c,207 :: 		break;
J	L_UART1_Rx116
NOP	
;UART1.c,209 :: 		default:
L_UART1_Rx120:
;UART1.c,210 :: 		if (RcvBufPtr < (RcvBufSize-2))   // Prevents buffer overrun
LBU	R2, Offset(_RcvBufPtr+0)(GP)
SLTIU	R2, R2, 62
BNE	R2, R0, L__UART1_Rx183
NOP	
J	L_UART1_Rx121
NOP	
L__UART1_Rx183:
;UART1.c,211 :: 		RcvBuf[RcvBufPtr++] = rxchar;  // Put character in buffer
LBU	R3, Offset(_RcvBufPtr+0)(GP)
LUI	R2, #hi_addr(_RcvBuf+0)
ORI	R2, R2, #lo_addr(_RcvBuf+0)
ADDU	R3, R2, R3
LBU	R2, 8(SP)
SB	R2, 0(R3)
LBU	R2, Offset(_RcvBufPtr+0)(GP)
ADDIU	R2, R2, 1
SB	R2, Offset(_RcvBufPtr+0)(GP)
L_UART1_Rx121:
;UART1.c,212 :: 		break;
J	L_UART1_Rx116
NOP	
;UART1.c,213 :: 		}
L_UART1_Rx115:
LBU	R2, 8(SP)
BNE	R2, R0, L__UART1_Rx185
NOP	
J	L_UART1_Rx117
NOP	
L__UART1_Rx185:
LBU	R3, 8(SP)
ORI	R2, R0, 13
BNE	R3, R2, L__UART1_Rx187
NOP	
J	L_UART1_Rx118
NOP	
L__UART1_Rx187:
LBU	R3, 8(SP)
ORI	R2, R0, 10
BNE	R3, R2, L__UART1_Rx189
NOP	
J	L_UART1_Rx119
NOP	
L__UART1_Rx189:
J	L_UART1_Rx120
NOP	
L_UART1_Rx116:
;UART1.c,214 :: 		}
L_UART1_Rx114:
;UART1.c,215 :: 		}
L_end_UART1_Rx1:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _UART1_Rx1
_UART1_Rx2:
;UART1.c,219 :: 		void UART1_Rx2(void){
ADDIU	SP, SP, -44
SW	RA, 0(SP)
;UART1.c,228 :: 		switch (RcvBuf[0]){
SW	R25, 4(SP)
J	L_UART1_Rx222
NOP	
;UART1.c,232 :: 		case 'a':  // Show date/time
L_UART1_Rx224:
;UART1.c,233 :: 		Year = ts1.yy;    // MikroE sprintf has trouble with char type
; Year start address is: 16 (R4)
LHU	R4, Offset(_ts1+6)(GP)
;UART1.c,234 :: 		Month = ts1.mo;
; Month start address is: 20 (R5)
LBU	R5, Offset(_ts1+5)(GP)
;UART1.c,235 :: 		Day = ts1.md;
; Day start address is: 24 (R6)
LBU	R6, Offset(_ts1+3)(GP)
;UART1.c,236 :: 		Hour = ts1.hh;
; Hour start address is: 28 (R7)
LBU	R7, Offset(_ts1+2)(GP)
;UART1.c,237 :: 		Minute = ts1.mn;
; Minute start address is: 32 (R8)
LBU	R8, Offset(_ts1+1)(GP)
;UART1.c,238 :: 		Second = ts1.ss;
; Second start address is: 36 (R9)
LBU	R9, Offset(_ts1+0)(GP)
;UART1.c,240 :: 		BufNum = GetBuffer();     // Get a free buffer
SH	R9, 8(SP)
SH	R8, 10(SP)
SH	R7, 12(SP)
SH	R6, 14(SP)
SH	R5, 16(SP)
SH	R4, 18(SP)
JAL	_GetBuffer+0
NOP	
LH	R4, 18(SP)
LH	R5, 16(SP)
LH	R6, 14(SP)
LH	R7, 12(SP)
LH	R8, 10(SP)
LH	R9, 8(SP)
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,241 :: 		sprintf(BufNum,"%04d/%02d/%02d %02d:%02d:%02d\r\n",Year,Month,Day,Hour,Minute,Second);
LUI	R3, #hi_addr(?lstr_1_UART1+0)
ORI	R3, R3, #lo_addr(?lstr_1_UART1+0)
ADDIU	SP, SP, -32
SH	R9, 28(SP)
; Second end address is: 36 (R9)
SH	R8, 24(SP)
; Minute end address is: 32 (R8)
SH	R7, 20(SP)
; Hour end address is: 28 (R7)
SH	R6, 16(SP)
; Day end address is: 24 (R6)
SH	R5, 12(SP)
; Month end address is: 20 (R5)
SH	R4, 8(SP)
; Year end address is: 16 (R4)
SW	R3, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 32
;UART1.c,242 :: 		UART1_PutQueue(BufNum);   // Display the buffer
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,243 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,245 :: 		case 'b':  // Set clock/calendar from data in message
L_UART1_Rx225:
;UART1.c,249 :: 		RcvBuf[23] = 0;
SB	R0, Offset(_RcvBuf+23)(GP)
;UART1.c,250 :: 		UART1_PutQueue(RcvBuf);
LUI	R25, #hi_addr(_RcvBuf+0)
ORI	R25, R25, #lo_addr(_RcvBuf+0)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,253 :: 		if (strlen(RcvBuf) == 23) {
LUI	R25, #hi_addr(_RcvBuf+0)
ORI	R25, R25, #lo_addr(_RcvBuf+0)
JAL	_strlen+0
NOP	
SEH	R3, R2
ORI	R2, R0, 23
BEQ	R3, R2, L__UART1_Rx291
NOP	
J	L_UART1_Rx226
NOP	
L__UART1_Rx291:
;UART1.c,254 :: 		UART1_PutQueue("Setting clock/calendar \r\n");
LUI	R25, #hi_addr(?lstr2_UART1+0)
ORI	R25, R25, #lo_addr(?lstr2_UART1+0)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,255 :: 		String[2] = 0;
ADDIU	R4, SP, 32
SW	R4, 40(SP)
ADDIU	R2, R4, 2
SB	R0, 0(R2)
;UART1.c,257 :: 		String[0] = RcvBuf[2];
LBU	R2, Offset(_RcvBuf+2)(GP)
SB	R2, 0(R4)
;UART1.c,258 :: 		String[1] = RcvBuf[3];
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+3)(GP)
SB	R2, 0(R3)
;UART1.c,259 :: 		ts1.yy = 2000 + atoi(String);   // Year
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
ADDIU	R2, R2, 2000
SH	R2, Offset(_ts1+6)(GP)
;UART1.c,261 :: 		String[0] = RcvBuf[5];
ADDIU	R3, SP, 32
LBU	R2, Offset(_RcvBuf+5)(GP)
SB	R2, 0(R3)
;UART1.c,262 :: 		String[1] = RcvBuf[6];
LW	R4, 40(SP)
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+6)(GP)
SB	R2, 0(R3)
;UART1.c,263 :: 		ts1.mo = atoi(String);          // Month
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
SB	R2, Offset(_ts1+5)(GP)
;UART1.c,265 :: 		String[0] = RcvBuf[8];
ADDIU	R3, SP, 32
LBU	R2, Offset(_RcvBuf+8)(GP)
SB	R2, 0(R3)
;UART1.c,266 :: 		String[1] = RcvBuf[9];
LW	R4, 40(SP)
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+9)(GP)
SB	R2, 0(R3)
;UART1.c,267 :: 		ts1.md = atoi(String);          // Day of month
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
SB	R2, Offset(_ts1+3)(GP)
;UART1.c,269 :: 		String[0] = RcvBuf[11];
ADDIU	R3, SP, 32
LBU	R2, Offset(_RcvBuf+11)(GP)
SB	R2, 0(R3)
;UART1.c,270 :: 		String[1] = RcvBuf[12];
LW	R4, 40(SP)
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+12)(GP)
SB	R2, 0(R3)
;UART1.c,271 :: 		Dow = atoi(String);             // Day of week
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
; DoW start address is: 16 (R4)
SEH	R4, R2
;UART1.c,272 :: 		switch (DoW) {                  // Translate between Delphi7 and mikroC
J	L_UART1_Rx227
NOP	
; DoW end address is: 16 (R4)
;UART1.c,273 :: 		case 1: ts1.wd = 6; break;  // Sunday
L_UART1_Rx229:
ORI	R2, R0, 6
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,274 :: 		case 2: ts1.wd = 0; break;  // Monday
L_UART1_Rx230:
SB	R0, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,275 :: 		case 3: ts1.wd = 1; break;  // Tuesday
L_UART1_Rx231:
ORI	R2, R0, 1
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,276 :: 		case 4: ts1.wd = 2; break;  // Wednesday
L_UART1_Rx232:
ORI	R2, R0, 2
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,277 :: 		case 5: ts1.wd = 3; break;  // Thursday
L_UART1_Rx233:
ORI	R2, R0, 3
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,278 :: 		case 6: ts1.wd = 4; break;  // Friday
L_UART1_Rx234:
ORI	R2, R0, 4
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,279 :: 		case 7: ts1.wd = 5; break;  // Saturday
L_UART1_Rx235:
ORI	R2, R0, 5
SB	R2, Offset(_ts1+4)(GP)
J	L_UART1_Rx228
NOP	
;UART1.c,280 :: 		}
L_UART1_Rx227:
; DoW start address is: 16 (R4)
SEH	R3, R4
ORI	R2, R0, 1
BNE	R3, R2, L__UART1_Rx293
NOP	
J	L_UART1_Rx229
NOP	
L__UART1_Rx293:
SEH	R3, R4
ORI	R2, R0, 2
BNE	R3, R2, L__UART1_Rx295
NOP	
J	L_UART1_Rx230
NOP	
L__UART1_Rx295:
SEH	R3, R4
ORI	R2, R0, 3
BNE	R3, R2, L__UART1_Rx297
NOP	
J	L_UART1_Rx231
NOP	
L__UART1_Rx297:
SEH	R3, R4
ORI	R2, R0, 4
BNE	R3, R2, L__UART1_Rx299
NOP	
J	L_UART1_Rx232
NOP	
L__UART1_Rx299:
SEH	R3, R4
ORI	R2, R0, 5
BNE	R3, R2, L__UART1_Rx2101
NOP	
J	L_UART1_Rx233
NOP	
L__UART1_Rx2101:
SEH	R3, R4
ORI	R2, R0, 6
BNE	R3, R2, L__UART1_Rx2103
NOP	
J	L_UART1_Rx234
NOP	
L__UART1_Rx2103:
SEH	R3, R4
; DoW end address is: 16 (R4)
ORI	R2, R0, 7
BNE	R3, R2, L__UART1_Rx2105
NOP	
J	L_UART1_Rx235
NOP	
L__UART1_Rx2105:
L_UART1_Rx228:
;UART1.c,282 :: 		String[0] = RcvBuf[14];
ADDIU	R4, SP, 32
SW	R4, 40(SP)
LBU	R2, Offset(_RcvBuf+14)(GP)
SB	R2, 0(R4)
;UART1.c,283 :: 		String[1] = RcvBuf[15];
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+15)(GP)
SB	R2, 0(R3)
;UART1.c,284 :: 		ts1.hh = atoi(String);          // Hours
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
SB	R2, Offset(_ts1+2)(GP)
;UART1.c,286 :: 		String[0] = RcvBuf[17];
ADDIU	R3, SP, 32
LBU	R2, Offset(_RcvBuf+17)(GP)
SB	R2, 0(R3)
;UART1.c,287 :: 		String[1] = RcvBuf[18];
LW	R4, 40(SP)
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+18)(GP)
SB	R2, 0(R3)
;UART1.c,288 :: 		ts1.mn = atoi(String);          // Minutes
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
SB	R2, Offset(_ts1+1)(GP)
;UART1.c,290 :: 		String[0] = RcvBuf[20];
ADDIU	R3, SP, 32
LBU	R2, Offset(_RcvBuf+20)(GP)
SB	R2, 0(R3)
;UART1.c,291 :: 		String[1] = RcvBuf[21];
LW	R4, 40(SP)
ADDIU	R3, R4, 1
LBU	R2, Offset(_RcvBuf+21)(GP)
SB	R2, 0(R3)
;UART1.c,292 :: 		ts1.ss = atoi(String);          // Seconds
MOVZ	R25, R4, R0
JAL	_atoi+0
NOP	
SB	R2, Offset(_ts1+0)(GP)
;UART1.c,294 :: 		Epoch = Time_dateToEpoch(&ts1);
LUI	R25, #hi_addr(_ts1+0)
ORI	R25, R25, #lo_addr(_ts1+0)
JAL	_Time_dateToEpoch+0
NOP	
SW	R2, Offset(_Epoch+0)(GP)
;UART1.c,295 :: 		}
J	L_UART1_Rx236
NOP	
L_UART1_Rx226:
;UART1.c,297 :: 		BufNum = GetBuffer();     // Get a free buffer
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,298 :: 		sprintf(BufNum,"Incorrect length: %d \r\n",strlen(RcvBuf));
LUI	R25, #hi_addr(_RcvBuf+0)
ORI	R25, R25, #lo_addr(_RcvBuf+0)
JAL	_strlen+0
NOP	
LUI	R3, #hi_addr(?lstr_3_UART1+0)
ORI	R3, R3, #lo_addr(?lstr_3_UART1+0)
ADDIU	SP, SP, -12
SH	R2, 8(SP)
SW	R3, 4(SP)
SW	R20, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;UART1.c,299 :: 		UART1_PutQueue(BufNum);   // Display the buffer
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,300 :: 		}
L_UART1_Rx236:
;UART1.c,301 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,305 :: 		case 'c':  // Trigger a TCP client event. Use UniServe to catch the data transmission
L_UART1_Rx237:
;UART1.c,306 :: 		Put_FIFO1(Msg2);
LUI	R25, #hi_addr(_Msg2+0)
ORI	R25, R25, #lo_addr(_Msg2+0)
JAL	_Put_FIFO1+0
NOP	
;UART1.c,307 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,309 :: 		case 'd':  // Display the TCP client state
L_UART1_Rx238:
;UART1.c,310 :: 		BufNum = GetBuffer();
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,311 :: 		sprintf(BufNum,"%d\r\n",TCPC_ClientState);
LUI	R4, #hi_addr(?lstr_4_UART1+0)
ORI	R4, R4, #lo_addr(?lstr_4_UART1+0)
LHU	R3, Offset(_TCPC_ClientState+0)(GP)
ADDIU	SP, SP, -12
SH	R3, 8(SP)
SW	R4, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;UART1.c,312 :: 		UART1_PutQueue(BufNum);
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,313 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,315 :: 		case 'e':  // Re-initialize Ethernet hardware
L_UART1_Rx239:
;UART1.c,316 :: 		InitEthernet();
JAL	_InitEthernet+0
NOP	
;UART1.c,317 :: 		UART1_PutQueue("ACK\r\n");
LUI	R25, #hi_addr(?lstr5_UART1+0)
ORI	R25, R25, #lo_addr(?lstr5_UART1+0)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,318 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,320 :: 		case 'f':  // Display the TxIn counter
L_UART1_Rx240:
;UART1.c,321 :: 		BufNum = GetBuffer();                // Get a free buffer
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,322 :: 		sprintf(BufNum,"%d\r\n",TxQ.TxIn);   // Format the value of TxIn counter
LUI	R4, #hi_addr(?lstr_6_UART1+0)
ORI	R4, R4, #lo_addr(?lstr_6_UART1+0)
LH	R3, Offset(_TxQ+0)(GP)
ADDIU	SP, SP, -12
SH	R3, 8(SP)
SW	R4, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;UART1.c,323 :: 		UART1_PutQueue(BufNum);              // Send the buffer
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,324 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,326 :: 		case 'g':
L_UART1_Rx241:
;UART1.c,328 :: 		for (i=0;i<6;i++)
; i start address is: 20 (R5)
MOVZ	R5, R0, R0
; i end address is: 20 (R5)
L_UART1_Rx242:
; i start address is: 20 (R5)
SEH	R2, R5
SLTI	R2, R2, 6
BNE	R2, R0, L__UART1_Rx2106
NOP	
J	L_UART1_Rx243
NOP	
L__UART1_Rx2106:
;UART1.c,329 :: 		My[i] = myMacAddr[i];
ADDIU	R3, SP, 20
SEH	R2, R5
SLL	R2, R2, 1
ADDU	R4, R3, R2
SEH	R3, R5
LUI	R2, #hi_addr(_myMacAddr+0)
ORI	R2, R2, #lo_addr(_myMacAddr+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
ANDI	R2, R2, 255
SH	R2, 0(R4)
;UART1.c,328 :: 		for (i=0;i<6;i++)
ADDIU	R2, R5, 1
SEH	R5, R2
;UART1.c,329 :: 		My[i] = myMacAddr[i];
; i end address is: 20 (R5)
J	L_UART1_Rx242
NOP	
L_UART1_Rx243:
;UART1.c,330 :: 		BufNum = GetBuffer();
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,332 :: 		My[0],My[1],My[2],My[3],My[4],My[5],My[6]);
ADDIU	R4, SP, 20
ADDIU	R3, R4, 12
LHU	R10, 0(R3)
ADDIU	R3, R4, 10
LHU	R9, 0(R3)
ADDIU	R3, R4, 8
LHU	R8, 0(R3)
ADDIU	R3, R4, 6
LHU	R7, 0(R3)
ADDIU	R3, R4, 4
LHU	R6, 0(R3)
ADDIU	R3, R4, 2
LHU	R5, 0(R3)
LHU	R4, 0(R4)
;UART1.c,331 :: 		sprintf(BufNum,"%02X:%02X:%02X:%02X:%02X:%02X\r\n",
LUI	R3, #hi_addr(?lstr_7_UART1+0)
ORI	R3, R3, #lo_addr(?lstr_7_UART1+0)
;UART1.c,332 :: 		My[0],My[1],My[2],My[3],My[4],My[5],My[6]);
ADDIU	SP, SP, -36
SH	R10, 32(SP)
SH	R9, 28(SP)
SH	R8, 24(SP)
SH	R7, 20(SP)
SH	R6, 16(SP)
SH	R5, 12(SP)
SH	R4, 8(SP)
;UART1.c,331 :: 		sprintf(BufNum,"%02X:%02X:%02X:%02X:%02X:%02X\r\n",
SW	R3, 4(SP)
SW	R2, 0(SP)
;UART1.c,332 :: 		My[0],My[1],My[2],My[3],My[4],My[5],My[6]);
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 36
;UART1.c,333 :: 		UART1_PutQueue(BufNum);
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,334 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,336 :: 		case 'h':  // Display the board IP address
L_UART1_Rx245:
;UART1.c,338 :: 		for (i=0;i<4;i++)
; i start address is: 20 (R5)
MOVZ	R5, R0, R0
; i end address is: 20 (R5)
L_UART1_Rx246:
; i start address is: 20 (R5)
SEH	R2, R5
SLTI	R2, R2, 4
BNE	R2, R0, L__UART1_Rx2107
NOP	
J	L_UART1_Rx247
NOP	
L__UART1_Rx2107:
;UART1.c,339 :: 		My[i] = myIpAddr[i];
ADDIU	R3, SP, 20
SEH	R2, R5
SLL	R2, R2, 1
ADDU	R4, R3, R2
SEH	R3, R5
LUI	R2, #hi_addr(_myIpAddr+0)
ORI	R2, R2, #lo_addr(_myIpAddr+0)
ADDU	R2, R2, R3
LBU	R2, 0(R2)
ANDI	R2, R2, 255
SH	R2, 0(R4)
;UART1.c,338 :: 		for (i=0;i<4;i++)
ADDIU	R2, R5, 1
SEH	R5, R2
;UART1.c,339 :: 		My[i] = myIpAddr[i];
; i end address is: 20 (R5)
J	L_UART1_Rx246
NOP	
L_UART1_Rx247:
;UART1.c,340 :: 		BufNum = GetBuffer();
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,341 :: 		sprintf(BufNum,"%d.%d.%d.%d\r\n",My[0],My[1],My[2],My[3]);
ADDIU	R4, SP, 20
ADDIU	R3, R4, 6
LHU	R7, 0(R3)
ADDIU	R3, R4, 4
LHU	R6, 0(R3)
ADDIU	R3, R4, 2
LHU	R5, 0(R3)
LHU	R4, 0(R4)
LUI	R3, #hi_addr(?lstr_8_UART1+0)
ORI	R3, R3, #lo_addr(?lstr_8_UART1+0)
ADDIU	SP, SP, -24
SH	R7, 20(SP)
SH	R6, 16(SP)
SH	R5, 12(SP)
SH	R4, 8(SP)
SW	R3, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 24
;UART1.c,342 :: 		UART1_PutQueue(BufNum);
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,343 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,345 :: 		case 'i':  // Test for fractions
L_UART1_Rx249:
;UART1.c,346 :: 		Fraction = (msec * 4294967296) / 1000;
LW	R6, Offset(_msec+0)(GP)
MOVZ	R7, R0, R0
LUI	R4, 0
ORI	R5, R0, 1
JAL	__Mul_64x64+0
NOP	
ORI	R6, R0, 1000
LUI	R7, 0
MOVZ	R4, R2, R0
MOVZ	R5, R3, R0
JAL	__Div_64x64_S+0
NOP	
; Fraction start address is: 16 (R4)
MOVZ	R4, R2, R0
MOVZ	R5, R3, R0
;UART1.c,347 :: 		BufNum = GetBuffer();                // Get a free buffer
SW	R4, 8(SP)
JAL	_GetBuffer+0
NOP	
LW	R4, 8(SP)
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,348 :: 		sprintf(BufNum,"%LX\r\n",Fraction);   // Format the value of fraction
LUI	R3, #hi_addr(?lstr_9_UART1+0)
ORI	R3, R3, #lo_addr(?lstr_9_UART1+0)
ADDIU	SP, SP, -12
SW	R4, 8(SP)
; Fraction end address is: 16 (R4)
SW	R3, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;UART1.c,349 :: 		UART1_PutQueue(BufNum);              // Send the buffer
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,350 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,360 :: 		default:
L_UART1_Rx250:
;UART1.c,361 :: 		UART1_PutQueue("Unknown command: ");
LUI	R25, #hi_addr(?lstr10_UART1+0)
ORI	R25, R25, #lo_addr(?lstr10_UART1+0)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,363 :: 		BufNum = GetBuffer();   // Get a free buffer
JAL	_GetBuffer+0
NOP	
; BufNum start address is: 80 (R20)
MOVZ	R20, R2, R0
;UART1.c,364 :: 		(void)sprintf(BufNum,"%c\r\n",RcvBuf[0]);
LUI	R4, #hi_addr(?lstr_11_UART1+0)
ORI	R4, R4, #lo_addr(?lstr_11_UART1+0)
LBU	R3, Offset(_RcvBuf+0)(GP)
ADDIU	SP, SP, -12
SB	R3, 8(SP)
SW	R4, 4(SP)
SW	R2, 0(SP)
JAL	_sprintf+0
NOP	
ADDIU	SP, SP, 12
;UART1.c,365 :: 		UART1_PutQueue(BufNum);
MOVZ	R25, R20, R0
; BufNum end address is: 80 (R20)
JAL	_UART1_PutQueue+0
NOP	
;UART1.c,366 :: 		break;
J	L_UART1_Rx223
NOP	
;UART1.c,367 :: 		}
L_UART1_Rx222:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 97
BNE	R3, R2, L__UART1_Rx2109
NOP	
J	L_UART1_Rx224
NOP	
L__UART1_Rx2109:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 98
BNE	R3, R2, L__UART1_Rx2111
NOP	
J	L_UART1_Rx225
NOP	
L__UART1_Rx2111:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 99
BNE	R3, R2, L__UART1_Rx2113
NOP	
J	L_UART1_Rx237
NOP	
L__UART1_Rx2113:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 100
BNE	R3, R2, L__UART1_Rx2115
NOP	
J	L_UART1_Rx238
NOP	
L__UART1_Rx2115:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 101
BNE	R3, R2, L__UART1_Rx2117
NOP	
J	L_UART1_Rx239
NOP	
L__UART1_Rx2117:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 102
BNE	R3, R2, L__UART1_Rx2119
NOP	
J	L_UART1_Rx240
NOP	
L__UART1_Rx2119:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 103
BNE	R3, R2, L__UART1_Rx2121
NOP	
J	L_UART1_Rx241
NOP	
L__UART1_Rx2121:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 104
BNE	R3, R2, L__UART1_Rx2123
NOP	
J	L_UART1_Rx245
NOP	
L__UART1_Rx2123:
LBU	R3, Offset(_RcvBuf+0)(GP)
ORI	R2, R0, 105
BNE	R3, R2, L__UART1_Rx2125
NOP	
J	L_UART1_Rx249
NOP	
L__UART1_Rx2125:
J	L_UART1_Rx250
NOP	
L_UART1_Rx223:
;UART1.c,368 :: 		UART1_RxFuncPtr = UART1_Rx1;    // Go back to state 1
LUI	R2, #hi_addr(_UART1_Rx1+0)
ORI	R2, R2, #lo_addr(_UART1_Rx1+0)
SW	R2, Offset(_UART1_RxFuncPtr+0)(GP)
;UART1.c,369 :: 		}
L_end_UART1_Rx2:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 44
JR	RA
NOP	
; end of _UART1_Rx2
